/*Woocommerce*/
.shop-flex {justify-content:space-between;flex-flow:row wrap;}
.shop-sidebar {flex-basis:20%;}
.woocommerce nav.woocommerce-pagination {flex-basis:100%;margin:45px 0;}
/*Remove Floats and use Grid for Layout*/
.woocommerce ul.products {flex-basis:78%;display:grid;grid-template-columns:repeat(4,1fr);gap:15px;}
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {float:unset;width:unset;margin:unset;}
.woocommerce .products ul::after, .woocommerce .products ul::before, .woocommerce ul.products::after, .woocommerce ul.products::before,.woocommerce div.product form.cart::after, .woocommerce div.product form.cart::before {display:none;}
/*Remove floats from Single Product Page and use Flex*/
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images,.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {width:unset;float:none;}
.woocommerce.single-product div.product {display:flex;flex-flow:row wrap;margin-bottom:45px;justify-content:space-between;}
.woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {flex-basis:58%;}
.woocommerce #content div.product div.images, .woocommerce div.product div.images, .woocommerce-page #content div.product div.images, .woocommerce-page div.product div.images {flex-basis:40%;}
/*Related Products Section*/
.related.products {flex-basis:100%;}
.related.products ul.products li.product .button {width:100%;min-width:unset;height:50px;line-height:28px;display:none;}
/*Product Titles and Woo Buttons*/
.button.product_type_simple.add_to_cart_button {min-width:200px;}
.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3,.woocommerce div.product .product_title {color:var(--txt-clr);}
.woocommerce ul.products li.product .price,.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price {color:var(--primary-clr)!important;font-size:1.2rem;}
.single-product div.product p.price {font-size:1.6rem!important;}
.woocommerce ul.products li.product .button,.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt {background:var(--secondary-clr);color:#fff;height:75px;line-height:50px;text-align:center;}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt:hover, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.alt:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.alt:hover {background:var(--primary-clr);}
/*Woo Messages*/
.woocommerce-message {border-top-color:var(--primary-clr);}
.woocommerce-message::before {color:var(--primary-clr);}
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {color:var(--third-clr);font-weight:bold;}
/*Remove Floats and Style Pagination*/
.woocommerce nav.woocommerce-pagination ul {display:flex;gap:5px;justify-content:center;border:unset;}
.woocommerce nav.woocommerce-pagination ul li {float:unset;}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span {padding:25px;font-weight:bold;font-size:1.4rem;}
/*Align Cart Form*/
.woocommerce div.product form.cart {display:flex;}
.woocommerce.single-product .cart .button {flex-grow:1;}
.woocommerce .quantity .qty {height:75px;width:120px;}
/*Badges*/
.woocommerce span.onsale {background:var(--third-clr);}
/*Shop Widgets*/
#shop-widgets .widgettitle {color:var(--txt-clr);font-size:1.2rem;}
.product-categories .cat-parent {margin-bottom:15px;}
.product-categories .children {padding-left:15px;}
.product-categories > li {margin-bottom:5px;}
/*Checkout & Cart*/
.is-large.wc-block-cart,.wc-block-checkout.is-large {margin:45px auto;}
.wc-block-cart__submit-button {margin-top:25px;background:green;color:#fff;}
.wp-element-button.wc-block-components-checkout-place-order-button {background:green;color:#fff;border:none;cursor:pointer;font-size:1.6rem;}
.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name {color:var(--txt-clr);}
/*Woocommerce Blocks*/
.wc-block-grid__product {text-align:left!important;border-left:20px solid transparent!important;border-right:20px solid transparent!important;}
.wc-block-grid__product-title {font-size:1.2rem!important;}
.wc-block-grid__product-price.price .amount {font-size:1.2rem!important;}

@media only screen and (max-width: 1368px), only screen and (max-device-width: 1368px) {
.woocommerce ul.products {grid-template-columns:repeat(4,1fr);}
}

@media only screen and (max-width: 1100px), only screen and (max-device-width: 1100px) {
.woocommerce ul.products {grid-template-columns:repeat(3,1fr);}
}


@media only screen and (max-width: 768px), only screen and (max-device-width: 768px) {
.woocommerce ul.products {grid-template-columns:repeat(2,1fr);}
.woocommerce ul.products[class*=columns-] li.product:nth-child(2n), .woocommerce-page ul.products[class*=columns-] li.product:nth-child(2n),.woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product {width:unset!important;margin:0!important;float:unset!important;clear:unset!important;}
}

@media only screen and (max-width: 500px), only screen and (max-device-width: 500px) {
.woocommerce ul.products {grid-template-columns:repeat(1,1fr);}
}